/* File ELI_ECOA__serialiser.h */

#include "ECOA.h"

void serialise_ECOA__boolean8(ECOA__boolean8 data, unsigned char **bufferptr);
void serialise_ECOA__int8(ECOA__int8 data, unsigned char **bufferptr);
void serialise_ECOA__char8(ECOA__char8 data, unsigned char **bufferptr);
void serialise_ECOA__byte(ECOA__byte data, unsigned char **bufferptr);
void serialise_ECOA__int16(ECOA__int16 data, unsigned char **bufferptr);
void serialise_ECOA__int32(ECOA__int32 data, unsigned char **bufferptr);
#if defined(ECOA_64BIT_SUPPORT)
void serialise_ECOA__int64(ECOA__int64 data, unsigned char **bufferptr);
#endif
void serialise_ECOA__uint8(ECOA__uint8 data, unsigned char **bufferptr);
void serialise_ECOA__uint16(ECOA__uint16 data, unsigned char **bufferptr);
void serialise_ECOA__uint32(ECOA__uint32 data, unsigned char **bufferptr);
#if defined(ECOA_64BIT_SUPPORT)
void serialise_ECOA__uint64(ECOA__uint64 data, unsigned char **bufferptr);
#endif
void serialise_ECOA__float32(ECOA__float32 data, unsigned char **bufferptr);
void serialise_ECOA__double64(ECOA__double64 data, unsigned char **bufferptr);
void serialise_ECOA__return_status(ECOA__return_status data, unsigned char **bufferptr);
void serialise_ECOA__hr_time(ECOA__hr_time data, unsigned char **bufferptr);
void serialise_ECOA__global_time(ECOA__global_time data, unsigned char **bufferptr);
void serialise_ECOA__duration(ECOA__duration data, unsigned char **bufferptr);
void serialise_ECOA__log(ECOA__log data, unsigned char **bufferptr);
void serialise_ECOA__error_id(ECOA__error_id data, unsigned char **bufferptr);
void serialise_ECOA__error_type(ECOA__error_type data, unsigned char **bufferptr);
void serialise_ECOA__asset_id(ECOA__asset_id data, unsigned char **bufferptr);
void serialise_ECOA__asset_type(ECOA__asset_type data, unsigned char **bufferptr);
void serialise_ECOA__recovery_action_type(ECOA__recovery_action_type data, unsigned char **bufferptr);
void serialise_ECOA__pinfo_filename(ECOA__pinfo_filename data, unsigned char **bufferptr);
void serialise_ECOA__seek_whence_type(ECOA__seek_whence_type data, unsigned char **bufferptr);

